InvalidHelpSetContextException

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class InvalidHelpSetContextException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.help.InvalidHelpSetContextException

All Implemented Interfaces:
  java.io.Serializable

public class InvalidHelpSetContextException
extends java.lang.Exception

The HelpSet is not a (transitive) sub-HelpSet of some context HelpSet. For example, setting an ID to a HelpModel.

See Also:
  Serialized Form

Constructor Summary
`InvalidHelpSetContextException(java.lang.String msg, HelpSet context, HelpSet hs)` Create the exception.

Method Summary
`HelpSet` | `getContext()` Get the context HelpSet
`HelpSet` | `getHelpSet()` Get the offending HelpSet

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidHelpSetContextException

    public InvalidHelpSetContextException(java.lang.String msg,
                                          HelpSet context,
                                          HelpSet hs)

  Create the exception. All parameters accept null values.

Parameters:
  `msg` - The message. If msg is null it is the same as if no detailed message was specified.

Method Detail

### getContext

    public HelpSet getContext()

  Get the context HelpSet

### getHelpSet

    public HelpSet getHelpSet()

  Get the offending HelpSet

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD